Skip to main content
POST
/
v2
/
bulk
/
assets
/
criticality:update
cURL
curl --request POST \
  --url https://client.synack.com/api/asset/v2/bulk/assets/criticality:update \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "organizationUid": "<string>",
  "criticality": "undefined",
  "assetUids": [
    "<string>"
  ]
}
'
{
  "updatedCount": 0
}

Documentation Index

Fetch the complete documentation index at: https://docs.synack.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json

The Organization UID, Asset UIDs to be updated, and the criticality value to be set on the assets.

organizationUid
string
required

Unique identifier for an organization.

Pattern: ^[-_0-9a-z]{1,50}
criticality
enum<string>
default:undefined
required

Indicates importance of the asset to the customer.

Available options:
high,
medium,
low,
undefined
assetUids
string[]

Unique identifier for an asset.

Pattern: ^[0-9a-f]{24}

Response

Count of assets updated.

updatedCount
integer
default:0

Number of assets updated.